commit:     fa8286669df39e087112adfb9837fb806945dc3f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  3 16:23:33 2016 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct  3 16:37:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa828666

dev-python/lit: Support running self-tests

 dev-python/lit/lit-9999.ebuild | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/dev-python/lit/lit-9999.ebuild b/dev-python/lit/lit-9999.ebuild
index 9049290..c98d8f20 100644
--- a/dev-python/lit/lit-9999.ebuild
+++ b/dev-python/lit/lit-9999.ebuild
@@ -16,8 +16,18 @@ EGIT_REPO_URI="http://llvm.org/git/llvm.git
 LICENSE="UoI-NCSA"
 SLOT="0"
 KEYWORDS=""
-IUSE=""
+IUSE="test"
 
 S=${WORKDIR}/${P}/utils/lit
 
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+DEPEND="
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               sys-devel/llvm )"
+
 # TODO: move the manpage generation here (from sys-devel/llvm)
+
+python_test() {
+       ./lit.py -sv tests || die
+}

Reply via email to